Subject: Re: Intel 82559 NIC corrupted EEPROM

From: John <[email-masked]>
Date: Mon, 27 Nov 2006 15:17:32 +0100

John wrote:

>> 00000000-0009ffff : System RAM
>> 000a0000-000bffff : Video RAM area
>> 000f0000-000fffff : System ROM
>> 00100000-0ffeffff : System RAM
>>   00100000-00296a1a : Kernel code
>>   00296a1b-0031bbe7 : Kernel data
>> 0fff0000-0fff2fff : ACPI Non-volatile Storage
>> 0fff3000-0fffffff : ACPI Tables
>> 20000000-200fffff : 0000:00:08.0
>> 20100000-201fffff : 0000:00:09.0
>> 20200000-202fffff : 0000:00:0a.0
>> e0000000-e3ffffff : 0000:00:00.0
>> e5000000-e50fffff : 0000:00:08.0
>> e5100000-e51fffff : 0000:00:09.0
>> e5200000-e52fffff : 0000:00:0a.0
>> e5300000-e5300fff : 0000:00:08.0
>> e5301000-e5301fff : 0000:00:0a.0
>> e5302000-e5302fff : 0000:00:09.0
>> ffff0000-ffffffff : reserved
>>
>> I've also attached:
>>
>> o config-2.6.18.1-adlink used to compile this kernel
>> o dmesg output after the machine boots
> 
> I suppose the information I've sent is not enough to locate the
> root of the problem. Is there more I can provide?

Here is some context for those who have been added to the CC list:
http://groups.google.com/group/linux.kernel/browse_frm/thread/bdc8fd08fb601c26

As far as I understand, some consider the eepro100 driver to be 
obsolete, and it has been considered for removal.

What is the current status?

Unfortunately, e100 does not work out-of-the-box on this system.

Is there something I can do to improve the situation?

-- 
Regards,

John

[ E-mail address is a bit-bucket. I *do* monitor the mailing lists. ]